package com.palmnest.webapp.quartz;

import com.palmnest.service.repair.RepairBillService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 维修单推送定时任务
 * <p>
 * 2.在某个维修单超过2分钟后，无人抢单后，拥有“管理维修单”功能的人员，收到此通知。若此维修单一直未变状态（“未抢单”），则每1分钟发一次提醒。
 *
 * @author wangxz
 * <p>
 * 2018年5月15日
 */
@Slf4j
@Component("repairGrabBillPushTimerTask")
public class RepairGrabBillPushTimerTask {


	@Autowired
	private RepairBillService repairBillService;

	public void run() {
		//System.out.println("2.在某个维修单超过2分钟后，无人抢单后，拥有“管理维修单”功能的人员，收到此通知。若此维修单一直未变状态（“未抢单”），则每1分钟发一次提醒。");
		log.info("quartz into RepairGrabBillPushTimerTask start ...");
		//某个维修单超过2分钟后，无人抢单的
		try {
			repairBillService.grabBillOvertimePush();
		} catch (Exception e) {
			e.printStackTrace();
			log.error(e.getMessage());
		}
		log.info("quartz into RepairGrabBillPushTimerTask end ...");


	}
}
